glutChangeToMenuEntry
Prev | GLUT | Next

## Name

glutChangeToMenuEntry — changes the specified menu item in the current menu into a menu entry.

## C Specification

`void `glutChangeToMenuEntry`` | `(` | `int `entry`, char *`name`, int `value`);`

## Python Specification

``glutChangeToMenuEntry`` | `(` | ``entry`, `name`, `value`) → `None``

## Parameters

`entry`
  Index into the menu items of the current menu (1 is the topmost menu item).
`name`
  ASCII character string to display in the menu entry.
`value`
  Value to return to the menu's callback function if the menu entry is selected.

## Description

`glutChangeToMenuEntry` changes the specified menu entry in the current menu into a menu entry. The entry parameter determines which menu item should be changed, with one being the topmost item. entry must be between 1 and `GLUT_MENU_NUM_ITEMS` inclusive. The menu item to change does not have to be a menu entry already. The string name will be displayed for the newly changed menu entry. The value will be returned to the menu's callback if this menu entry is selected.

## See Also

glutChangeToSubMenu, glutAddMenuEntry, glutRemoveMenuItem

Prev | Up | Next
glutButtonBoxFunc | Home | glutChangeToSubMenu